/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 06.09.2012
 * @author 
 */

import java.awt.Color;
import java.awt.Graphics;

public class GPoint {

    // Anfang Attribute
    private int x;
    private int y;
    private Color color;
    // Ende Attribute

    public GPoint(int x, int y) {
        this.x = x;
        this.y = y;
        this.color = new Color(0, 0, 0);
    }

    // Anfang Methoden
    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public Color getColor() {
        return color;
    }  

    public void setColor(Color color) {
        this.color = color;
    }

    public void draw(Graphics gr) {
        gr.setColor(this.getColor());
        gr.drawRect(x-2,y-2,5,5);    
    }

    // Ende Methoden
} // end of Point
